require_relative 'lib/image_tinify/version'

Gem::Specification.new do |spec|
  spec.name          = "image_tinify"
  spec.version       = ImageTinify::VERSION
  spec.authors       = ["jiangzhuoyi"]
  spec.email         = ["jiangzhuoyi@gmail.com"]

  spec.summary       = %q{Compress image.}
  spec.description   = %q{Compress image and indicates compressed.}
  spec.homepage      = "http://code.kaipao.cc/ios-team/image_tinify"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'chunky_png', '~> 1.3.11'
  spec.add_runtime_dependency 'tinify', '~> 1.5.0'
  spec.add_runtime_dependency 'claide', '~> 1.0.3'
end
